Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Duong Nhat Duy

[ĐỐ VUI] Block lỗi ?

Các bài được khuyến nghị

Mình có nhặt được cái block này, thử thao tác 1 vài lệnh với nó thì lỗi tùm lum, ngoài cách insert tay lại mình chưa mò ra cách nào để các block này trở về bình thường (bản vẽ của mình có khá nhiều block có sẵn này, cái lỗi cái ko). Mình gửi bản vẽ các bạn xem giúp mình nhé, vừa là hỏi, vừa là đố vui trong những cái ngày dịch rảnh rỗi này.

 

image.png

Drawing1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
54 phút trước, Duong Nhat Duy đã nói:

Mình có nhặt được cái block này, thử thao tác 1 vài lệnh với nó thì lỗi tùm lum, ngoài cách insert tay lại mình chưa mò ra cách nào để các block này trở về bình thường (bản vẽ của mình có khá nhiều block có sẵn này, cái lỗi cái ko). Mình gửi bản vẽ các bạn xem giúp mình nhé, vừa là hỏi, vừa là đố vui trong những cái ngày dịch rảnh rỗi này.

 

image.png

Drawing1.dwg

Chắc nó đc xuất ra ở mặt phẳng khác, bác check code 210 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
35 phút trước, Doan Nguyen Van đã nói:

Chắc nó đc xuất ra ở mặt phẳng khác, bác check code 210 

Vậy có cách nào sửa không nhỉ, thử entmod 210 về 0 0 1 thì nó lại bay đi mất

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1 giờ} trướ}c, Duong Nhat Duy đã nói:

Vậy có cách nào sửa không nhỉ, thử entmod 210 về 0 0 1 thì nó lại bay đi mất

Ở View Top thì giá trị X của Dxf 10 bị trái dấu khi dxf 210 có giá trị cuối < 0,   (vd: (point trên bản vẽ là (10 10 0) dxf 210 = (0 0 -1) thì Point chèn khi lấy dxf 10 sẽ là (-10 10 0)

xử lý nhân với -1 thì oke với bản vẽ này. ) 

Vấn đề này e mới tìm hiểu được như vậy. ở view khác có thể sẽ thay đổi giá trị khác ...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dùng

(vlax-safearray->list (vlax-variant-value (vla-get-InsertionPoint (vlax-ename->vla-object (car (entsel)))) ) )

để lấy tọa độ

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
5 phút trước, ndtnv đã nói:

Dùng

(vlax-safearray->list (vlax-variant-value (vla-get-InsertionPoint (vlax-ename->vla-object (car (entsel)))) ) )

để lấy tọa độ

Mình cũng nghĩ là visual lisp sẽ lấy đc mấy giá trị này, cảm ơn bạn nhé, liệu có cách nào không cần dùng đến lisp để fix lại bọn nó không nhỉ ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
16 phút trước, Duong Nhat Duy đã nói:

Mình cũng nghĩ là visual lisp sẽ lấy đc mấy giá trị này, cảm ơn bạn nhé, liệu có cách nào không cần dùng đến lisp để fix lại bọn nó không nhỉ ?

Bác thử chuyển ucs về ucs của block đó (dùng lệnh UCS chọn OB). Ctrl_X các block sai. 

Sau dó chuyển về lại Wcs và dán lại. Move + Mirror lại cho dúng. (Nếu các block có cùng assoc 210

 

Còn dùng lisp thì dùng lệnh trans tính lại tọa độ insert theo wcs. (trans (cdr (assoc 20 ent)) (cdr (assoc 210 ent)) (0 0 1))

Nhưng dù sao thì do Mặt phẳng chèn block của Các block sai hơi nghiên so với WCS nên các hình có thể biến dạng 1 chút.

Mình thấy là assoc 210 là (1.33057e-13 -1.81737e-13 -1.0) gần với (0 0 -1) nên sẽ có biến dạng nhẹ.

 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 1/4/2020 tại 11:28, Duong Nhat Duy đã nói:

Mình có nhặt được cái block này, thử thao tác 1 vài lệnh với nó thì lỗi tùm lum, ngoài cách insert tay lại mình chưa mò ra cách nào để các block này trở về bình thường (bản vẽ của mình có khá nhiều block có sẵn này, cái lỗi cái ko). Mình gửi bản vẽ các bạn xem giúp mình nhé, vừa là hỏi, vừa là đố vui trong những cái ngày dịch rảnh rỗi này.

 

Drawing1.dwg

@Duong Nhat Duy dùng lệnh FLATTEN, chọn block bị lỗi, enter, enter.

Lỗi là do người tạo ra block này đã cố tình cho vetor pháp tuyến khác (0 0 1). Mã dxf 210 của nó là (210 1.33057e-013 -1.81737e-013 -1.0)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×